import {
  IsString,
  IsNotEmpty,
  IsNumber,
  IsArray,
  IsObject
} from 'class-validator'

export class GetNativeAgentListDto {
  @IsNumber()
  @IsNotEmpty({ message: 'page不能为空' })
  page: number

  @IsNumber()
  @IsNotEmpty({ message: 'page_size不能为空' })
  pageSize: number

  @IsString()
  createUser: string

  @IsString()
  updateUser: string
}

export class GetNativeAgentConfigurationDto {
  @IsString()
  @IsNotEmpty({ message: 'agent_id不能为空' })
  agentId: string
}

export class SaveNativeAgentConfigurationDto {
  @IsNumber()
  agentId: number

  @IsString()
  @IsNotEmpty({ message: 'name不能为空' })
  name: string

  @IsString()
  displayName: string

  @IsNumber()
  type: number

  @IsString()
  executionModel: string

  @IsString()
  systemPrompt: string

  @IsString()
  taskPrompt: string

  @IsArray()
  tools: string[]

  @IsArray()
  subAgents: number[]

  @IsObject()
  extraParams: Record<string, any>
}
