import { IsString, IsNotEmpty, IsNumber, IsOptional } from 'class-validator'

export class GetStaffSessionSummaryDto {
  @IsString()
  @IsOptional()
  staffId: string

  @IsString()
  @IsOptional()
  status: string

  @IsNumber()
  @IsOptional()
  page: number

  @IsNumber()
  @IsOptional()
  size: number
}

export class GetStaffListDto {
  @IsNumber()
  @IsOptional()
  page: number

  @IsNumber()
  @IsOptional()
  size: number
}

export class GetStaffSessionListDto {
  @IsString()
  @IsNotEmpty({ message: 'staffId不能为空' })
  staffId: string

  @IsNumber()
  @IsOptional()
  page: number

  @IsNumber()
  @IsOptional()
  pageSize: number
}

export class GetConversationListDto {
  @IsString()
  @IsNotEmpty({ message: 'customerId不能为空' })
  customerId: string

  @IsString()
  @IsNotEmpty({ message: 'staffId不能为空' })
  staffId: string

  @IsNumber()
  @IsOptional()
  status: number

  @IsNumber()
  @IsOptional()
  page: number
}
