import { Controller, Post, Body, Header, HttpCode } from '@nestjs/common'

import { SqlAgentService } from './sql-agent.service'

@Controller('sqlAgent')
export class SqlAgentController {
  constructor(private readonly sqlAgentService: SqlAgentService) {}

  @Post('chat')
  @Header('Access-Control-Allow-Origin', '*')
  @Header('Content-type', 'application/json')
  @HttpCode(200)
  async chat(@Body() { chat }) {
    if (!chat) {
      return {
        code: -1,
        msg: '请求成功',
        data: '无当前对话'
      }
    }

    const data = await this.sqlAgentService.chat(chat)
    return {
      code: 0,
      msg: '请求成功',
      data
    }
  }
}
